<!-- Author: w3schools.in
URL: https://www.w3schools.in/php/examples/simple-calculator-program
license: Free to use without republishing.
https://www.w3schools.in/page/copyright -->
<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $DOB = $_POST['DOB'];
    $ToDate = $_POST['ToDate'];
    if (empty($DOB) || empty($ToDate)) {
        $Error = "Both input values are required.";
    } else {
        $bday = date_create_from_format('Y-m-d', $DOB);
        $today = date_create_from_format('Y-m-d', $ToDate);
        if (!$bday || !$today) {
            $Error = "Both input values must be a valid date.";
        } else {
            $DOB = $bday->format('d F Y');
            $ToDate = $today->format('d F Y');
            $age = date_diff(date_create($DOB), date_create($ToDate));
            $Result = "Birth Date: <strong>$DOB</strong><br>";
            $Result .= "Age <strong>{$age->y} Years, {$age->m} Months, {$age->d} Days</strong> as on <strong>{$ToDate}</strong>";
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PHP Age Calculator Program Demo</title>
    <link rel="shortcut icon" href=https://www.w3schools.in/asset/img/favicon-32x32.png type=image/png>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="../asset/app.css">
</head>
<body>
    <!-- Top bar -->
    <div class="container-fluid shadow-sm border-bottom mb-4">
        <div class="row aligh-items-center">
            <div class="col">
                <nav class="navbar navbar-light">
                    <a class="btn btn-sm btn-light me-2" href="php-bmi-calculator-demo.zip" title="Download Demo Files"><svg class="svg-icon" viewBox="0 0 24 24">
                        <path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path>
                        <polyline points="7 10 12 15 17 10"></polyline>
                        <line x1="12" y1="15" x2="12" y2="3"></line>
                    </svg></a>
                    <?php if(!isset($_GET['iframe'])){?>
                        <a class="btn btn-primary" href="https://www.w3schools.in/php/tutorials/" title="W3schools PHP Tutorial" target="_blank">Learn PHP</a>
                    <?php } ?>
                </nav>
            </div>
        </div>
    </div>
    <!-- Main -->
    <!-- Editor -->
    <div class="container" style="max-width:800px">
        <div class="text-center mb-5">
            <h1 class="fw-bolder mb-0">PHP Age Calculator</h1>
        </div>
        <form method="post" action="">
            <div class="row justify-content-center" >
                <div class="col">
                    <div class="row row-cols-1 row-cols-sm-2 row-cols-md-2 row-cols-lg-2 row-cols-xl-2 justify-content-center">
                        <div class="col text-center mb-3 mb-md-5">
                            <label for="DOB" class="fs-3">Date of Birth</label>
                            <input id="DOB" class="form-control form-control-custom" name="DOB" type="date" step="any" value="<?php if(!empty($_POST['DOB'])){echo $_POST['DOB'];}?>">
                        </div>
                        <div class="col text-center mb-3 mb-md-4">
                            <label for="ToDate" class="fs-3">Calculate To Date</label>
                            <input id="ToDate" class="form-control form-control-custom" name="ToDate" type="date" step="any" value="<?php if(!empty($_POST['ToDate'])){echo $_POST['ToDate'];}?>">
                        </div>
                        <div class="col text-center mb-3 mb-md-4"><input type="submit" name="submit" value="Calculate" class="btn btn-success"></div>
                    </div>
                </div>
            </div>
        </form>
        <?php if(isset($Result)){?><!-- Result -->
        <div class="row justify-content-center">
            <div class="col text-center">
                <label for="Result" class="fs-4">Result</label>
                <div class="form-control fs-3"><?php echo $Result; ?></div>
            </div>
        </div>
        <?php } if(isset($Error)){?><!-- Error Messages -->
        <div class="row justify-content-center">
            <div class="col">
                <div class="alert alert-danger shadow-sm" role="alert">Error: <?php echo $Error; ?></div>
            </div>
        </div>
    <?php } ?>
</div>
</body>
</html>